/**
 * output package name
 */
package com.kingdee.eas.custom.projectbonus.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class BusDepProjectStateEnum extends IntEnum
{
    public static final int INITIALIZATION_VALUE = 0;//alias=初始化
    public static final int ENABLE_VALUE = 1;//alias=启用
    public static final int SUBMITED_VALUE = 2;//alias=已提交分配人员
    public static final int SUBMITCALCULATED_VALUE = 4;//alias=已提交计算
    public static final int RECHECK_VALUE = 5;//alias=已复核
    public static final int DISABLE_VALUE = 3;//alias=已禁用

    public static final BusDepProjectStateEnum INITIALIZATION = new BusDepProjectStateEnum("INITIALIZATION", INITIALIZATION_VALUE);
    public static final BusDepProjectStateEnum ENABLE = new BusDepProjectStateEnum("ENABLE", ENABLE_VALUE);
    public static final BusDepProjectStateEnum SUBMITED = new BusDepProjectStateEnum("SUBMITED", SUBMITED_VALUE);
    public static final BusDepProjectStateEnum SUBMITCALCULATED = new BusDepProjectStateEnum("SUBMITCALCULATED", SUBMITCALCULATED_VALUE);
    public static final BusDepProjectStateEnum RECHECK = new BusDepProjectStateEnum("RECHECK", RECHECK_VALUE);
    public static final BusDepProjectStateEnum DISABLE = new BusDepProjectStateEnum("DISABLE", DISABLE_VALUE);

    /**
     * construct function
     * @param integer busDepProjectStateEnum
     */
    private BusDepProjectStateEnum(String name, int busDepProjectStateEnum)
    {
        super(name, busDepProjectStateEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static BusDepProjectStateEnum getEnum(String busDepProjectStateEnum)
    {
        return (BusDepProjectStateEnum)getEnum(BusDepProjectStateEnum.class, busDepProjectStateEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static BusDepProjectStateEnum getEnum(int busDepProjectStateEnum)
    {
        return (BusDepProjectStateEnum)getEnum(BusDepProjectStateEnum.class, busDepProjectStateEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(BusDepProjectStateEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(BusDepProjectStateEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(BusDepProjectStateEnum.class);
    }
}